QGIS Application - Bug report #14316
QGIS under Windows netCDF import reverses Y axis, Linux doesn't
2016-02-16 02:07 PM - Brent Wood

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 22306
Description

As shown in the attached images & netCDF file, it imports fine in R, Arc & QGIS for Linux, but fails in the Windows version of QGIS.

The file is rendered upside down, but only in QGIS for Windows.

Tested in QGIS v2.12.13

History

#1 - 2016-02-16 02:08 PM - Brent Wood

netcdf file was too big to attach, but can be provided on request.

#2 - 2016-02-16 02:14 PM - Jukka Rahkonen
Put the file into some reliable place for downloading. Even better if you find a small file that can be added as attachment and still shows the issue. That way

the issue remains solvable even if it happens to take some time.

#3 - 2016-02-16 02:51 PM - Jiirgen Fischer
- Status changed from Open to Feedback

32bit? Please try with the updated netcdf 4.3.0-1 in osgeo4w (see also OSGeo4W !#483)

#4 - 2016-02-17 04:46 PM - Jiirgen Fischer

- Resolution set to up/downstream

#5 - 2016-05-23 05:02 AM - Giovanni Manghi

- Status changed from Feedback to Closed

assuming is solved with https://trac.osgeo.org/osgeo4w/ticket/483

#6 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown
https://trac.osgeo.org/osgeo4w/ticket/483
https://trac.osgeo.org/osgeo4w/ticket/483
